<?xml version="1.0" encoding="utf-8" ?>

<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2">
	<class name="AidA.Data.Entities.Anonymisierungslauf, AidA" table="Anonymisierungslauf">
		<id name="Id" column="Id" type="Int64" unsaved-value="null">
			<generator class="identity" />
		</id>
		<property name="Aufbewahrungsfrist" type="Int32" />
		<property name="Sicherung" type="String" />
		<property name="PruefBeginn" type="DateTime2" />
		<property name="PruefEnde" type="DateTime2" />
		<property name="PruefUser" type="String" />
		<property name="AnzahlGepruefteAntraege" type="Int32" />
		<property name="AnzahlBereitsAnonymisierteAntraege" type="Int32" />
		<property name="AnzahlAusgenommeneAntraege" type="Int32" />
		<property name="AnzahlNochAufzubewahrendeAntraege" type="Int32" />
		<property name="AnzahlZuAnonymisierendeAntraege" type="Int32" />
		<property name="AnonymisierungsBeginn" type="DateTime2" />
		<property name="AnonymisierungsEnde" type="DateTime2" />
		<property name="AnonymisierungsUser" type="String" />
		<property name="AnzahlAnonymisierteAntraege" type="Int32" />
		<property name="Bemerkung" type="String" />
		<property name="InsTs" type="DateTime2" />
		<property name="InsUser" type="String" />
		<property name="UpdTs" type="DateTime2" />
		<property name="UpdUser" type="String" />

		<!--bag name="Anonymisierungen" table="Anonymisierung" generic="true" cascade="all-delete-orphan">
			<key column="AnonymisierungslaufId" />
			<one-to-many class="AidA.Data.Entities.Anonymisierung, AidA" />
		</bag-->
	</class>
</hibernate-mapping>